## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           recastnavigation
Version:        1.6.0
Release:        %autorelease
Summary:        Industry-standard navigation-mesh tool set for games

License:        Zlib AND MIT AND BSL-1.0 AND Apache-2.0
URL:            https://github.com/recastnavigation/recastnavigation
Source0:        %{url}/archive/v%{version}.tar.gz

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: glibc-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: SDL2-devel
BuildRequires: zlib-devel
BuildRequires: libstdc++-devel
BuildRequires: libdecor-devel

%description
Industry-standard navigation-mesh tool set for games

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
Development files for %{name}, a state-of-the-art navigation system for games and 3D applications.
This package includes header files, unversioned shared libraries, and CMake configuration files
required for developing applications that use %{name}.

%define debug_package %{nil}

%prep
%setup -q

# Patch CMakeLists.txt to require CMake 3.5
sed -i -e 's@cmake_minimum_required(VERSION 3.1)@cmake_minimum_required(VERSION 3.5)@' CMakeLists.txt

%build
%cmake -DCMAKE_BUILD_TYPE=Release -DBUILD_SHARED_LIBS=ON -DCMAKE_C_FLAGS="${RPM_OPT_FLAGS}" -DCMAKE_CXX_FLAGS="${RPM_OPT_FLAGS}"
%cmake_build

%install
%cmake_install

# Move data files to appropriate locations
mkdir -p  %{buildroot}%{_sharedstatedir}/%{name}/recastdemo/Meshes
install -m 644 RecastDemo/Bin/DroidSans.ttf %{buildroot}%{_sharedstatedir}/%{name}/recastdemo/
install -m 644 RecastDemo/Bin/Meshes/*.obj %{buildroot}%{_sharedstatedir}/%{name}/recastdemo/Meshes/
mv %{buildroot}%{_bindir}/RecastDemo %{buildroot}/var/lib/%{name}/recastdemo/

rm -rf %{buildroot}%{_bindir}/TestCases %{buildroot}%{_bindir}/DroidSans.ttf %{buildroot}%{_bindir}/Meshes

# Strip binaries and libraries
find %{buildroot} -type f -executable -exec strip --strip-unneeded {} +

%check
%ctest

%files
%{_libdir}/libRecast.so.1
%{_libdir}/libDetour.so.1
%{_libdir}/libDetourCrowd.so.1
%{_libdir}/libDetourTileCache.so.1
%{_libdir}/libDebugUtils.so.1
%{_libdir}/libDebugUtils.so.1.6.0
%{_libdir}/libDetour.so.1.6.0
%{_libdir}/libDetourCrowd.so.1.6.0
%{_libdir}/libDetourTileCache.so.1.6.0
%{_libdir}/libRecast.so.1.6.0
%{_sharedstatedir}/%{name}/recastdemo/RecastDemo
%{_sharedstatedir}/%{name}/recastdemo/Meshes/dungeon.obj
%{_sharedstatedir}/%{name}/recastdemo/Meshes/nav_test.obj
%{_sharedstatedir}/%{name}/recastdemo/Meshes/undulating.obj
%{_sharedstatedir}/%{name}/recastdemo/DroidSans.ttf
%doc README.md License.txt CHANGELOG.md

%files devel
%{_libdir}/libRecast.so
%{_libdir}/libDetour.so
%{_libdir}/libDetourCrowd.so
%{_libdir}/libDetourTileCache.so
%{_libdir}/libDebugUtils.so
%{_libdir}/cmake/%{name}/
%{_prefix}/include/%{name}/
%{_libdir}/pkgconfig/recastnavigation.pc

%changelog
* Thu Feb 27 2025 Sayan Paul <saypaul@redhat.com> - 1.6.0-8
- Initial package for RecastNavigation 1.6.0